Name: psmisc
Version: 21.4
Release: alt1

Summary: Utilities for managing processes on your system
License: GPL
Group: Monitoring
Url: http://psmisc.sourceforge.net/

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2
Patch1: %name-21.4-alt-fuser_kill.patch
Patch2: %name-21.4-owl-by-user.patch
Patch3: %name-21.4-alt-tinfo.patch
Patch4: %name-21.4-alt-progname.patch

Requires: SysVinit

# Automatically added by buildreq on Thu Dec 26 2002
BuildRequires: libtinfo-devel

%description
The %name package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs
of processes that are using specified files or filesystems.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
# Fix gettextization.
if [ ! -s po/LINGUAS ]; then
	%__sed -ne 's/^ALL_LINGUAS="\([^"]*\)"$/\1/p' configure.in >>po/LINGUAS
	%__subst 's/^\(ALL_LINGUAS=\)/#\1/g' configure.in
fi

export lt_cv_prog_cc_static_works=no
libtoolize --copy --force
aclocal -I m4
autoheader --force
automake --force-missing --copy
autoconf --force
%configure
%make_build

%install
%makeinstall
%__mkdir_p %buildroot/sbin
%__mv %buildroot%_bindir/fuser %buildroot/sbin/

# Make reference to pidof(8) from SysVinit package.
%__subst -p 's,pidof(1),pidof(8),' %buildroot%_man1dir/*

%find_lang %name

%files -f %name.lang
/sbin/*
%_bindir/*
%_man1dir/*
%doc AUTHORS ChangeLog NEWS README

%changelog
* Sat Jan 03 2004 Dmitry V. Levin <ldv@altlinux.org> 21.4-alt1
- Updated to 21.4
- Updated patches.
- Fixed potential null dereference bug introduced in 21.4.

* Thu Dec 26 2002 Dmitry V. Levin <ldv@altlinux.org> 21.2-alt2
- (Owl) Fixed the segfault in pstree(1) when asked to report
  information for a user, but entry with PID 1 (init) is
  inaccessible, thanks to (GalaxyMaster).
- Fixed build with fresh autotools.

* Tue Oct 22 2002 Dmitry V. Levin <ldv@altlinux.org> 21.2-alt1
- Updated to 21.2

* Mon Jun 24 2002 Dmitry V. Levin <ldv@altlinux.org> 21-alt2
- Patched to link with libtinfo.

* Sun May 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 21-alt1
- 21 

* Wed Mar 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 20.2-alt1
- 20.2
- License and url's changed
- useless man(1) pidof removed, it conflicts with man(8) from SysVinit
  package.

* Mon Apr 02 2001 Dmitry V. Levin <ldv@altlinux.ru> 20.1-alt1
- 20.1

* Tue Dec 26 2000 Dmitry V. Levin <ldv@fandra.org> 19-ipl3mdk
- FHSification.

* Wed May 17 2000 Dmitry V. Levin <ldv@fandra.org> 19-ipl2mdk
- Fixed: kill patch.
- RE adaptions.

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 19-2mdk
- Fix bad tag value.

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 19-1mdk
- Version update (19)
- Use default Mandrake Optimisations.
- Patch the Makefile for psmisc rpm to be compiled by non root user.
- bziped psmisc-17-buildroot.patch

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Move fuser to /sbin(r).

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Sat Mar 13 1999 Michael Maher <mike@redhat.com>
- updated package

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- renamed the patch file .patch instead of .spec

* Thu Apr 09 1998 Erik Troan <ewt@redhat.com>
- updated to psmisc version 17
- buildrooted

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from version 11 to version 16
- spec file cleanups

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
